mercurial-pristinetar(1)

NAME

mercurial-pristinetar - Recreate pristine source tarballs.

SYNOPSIS

mercurial-pristinetar [option] ... [version]

DESCRIPTION

Build pristine source tarballs from the Mercurial repository in the current directory. If version is specified, then tarballs for that version is recreated instead of the most recent from from debian/changelog.

OPTIONS

--version, -V

    Output version and exit.

--verbose, -v

    Increase verbosity level. Can be used several times.

EXAMPLES

mercurial-pristinetar 1.2.3

    Create pristine ../mypack_1.2.3.orig.tar.{gz,bz2,lzma,xz} and ../mypack_1.2.3.orig-component*.tar.{gz,bz2,lzma,xz} if applicable from the repository in the current directory.

BUGS

Generating tarballs compressed by lzma(1) might not end up being identical to the original because the pristine-tar(1) suite does not have support for lzma(1).

AUTHOR

Jens Peter Secher <jpsecher@gmail.com>

SEE ALSO

pristine-gz(1), pristine-bz2(1), pristine-xz(1), mercurial-importorig(1), mercurial-importdsc(1), mercurial-buildpackage(1), mercurial-tagversion(1), mercurial-port(1).